<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Boite aux lettre connecté avec mouvement</title>
    <meta property="og:title" content="Hola (Template 5)" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta charset="utf-8" />
    <meta property="twitter:card" content="summary_large_image" />

    <style data-tag="reset-style-sheet">
      html {
        line-height: 1.15;
      }
      body {
        margin: 0;
      }
      * {
        box-sizing: border-box;
        border-width: 0;
        border-style: solid;
      }
      p,
      li,
      ul,
      pre,
      div,
      h1,
      h2,
      h3,
      h4,
      h5,
      h6,
      figure,
      blockquote,
      figcaption {
        margin: 0;
        padding: 0;
      }
      button {
        background-color: transparent;
      }
      button,
      input,
      optgroup,
      select,
      textarea {
        font-family: inherit;
        font-size: 100%;
        line-height: 1.15;
        margin: 0;
      }
      button,
      select {
        text-transform: none;
      }
      button,
      [type="button"],
      [type="reset"],
      [type="submit"] {
        -webkit-appearance: button;
      }
      button::-moz-focus-inner,
      [type="button"]::-moz-focus-inner,
      [type="reset"]::-moz-focus-inner,
      [type="submit"]::-moz-focus-inner {
        border-style: none;
        padding: 0;
      }
      button:-moz-focus,
      [type="button"]:-moz-focus,
      [type="reset"]:-moz-focus,
      [type="submit"]:-moz-focus {
        outline: 1px dotted ButtonText;
      }
      a {
        color: inherit;
        text-decoration: inherit;
      }
      input {
        padding: 2px 4px;
      }
      img {
        display: block;
      }
      html {
        scroll-behavior: smooth;
      }
    </style>
    <style data-tag="default-style-sheet">
      html {
        font-family: Inter;
        font-size: 16px;
      }

      body {
        font-weight: 400;
        font-style: normal;
        text-decoration: none;
        text-transform: none;
        letter-spacing: normal;
        line-height: 1.15;
        color: var(--dl-color-gray-black);
        background-color: var(--dl-color-gray-white);
      }
    </style>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&amp;display=swap" data-tag="font" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" />
    <link rel="stylesheet" href="./style.css" />
  </head>
  <body>
    <div>
      <link href="./index.css" rel="stylesheet" />
      <script type="text/javascript" src="https://unpkg.com/dangerous-html/dist/default/lib.umd.js"></script>

      <div class="home-container">
        <div class="home-navbar">
          <header data-thq="thq-navbar" class="home-navbar-interactive">
            <div class="home-branding">
              <span class="home-text">Bienvenue</span>
            </div>
            <div data-thq="thq-navbar-nav" data-role="Nav" class="home-desktop-menu">
              <nav data-thq="thq-navbar-nav-links" data-role="Nav" class="home-nav">
                <div class="home-right">
                  <div class="nav-links-links">
                  
                  </div>
                  <div class="home-button">
                   
                  </div>
                </div>
              </nav>
            </div>
            <div data-thq="thq-burger-menu" class="home-burger-menu">
              <button class="home-work-with-us1 button">
                <span class="home-text002">work with us</span>
                <img alt="image" src="public2/hamburger.svg" class="home-image01" />
              </button>
            </div>
            <div data-thq="thq-mobile-menu" class="home-mobile-menu">
              <div data-thq="thq-mobile-menu-nav" data-role="Nav" class="home-nav1">
                <div class="home-top">
                  <div class="home-branding1">
                    <span class="home-text003">hola studio</span>
                  </div>
                  <div data-thq="thq-close-menu" class="home-menu-close">
                    <svg viewBox="0 0 1024 1024" class="home-icon">
                      <path d="M810 274l-238 238 238 238-60 60-238-238-238 238-60-60 238-238-238-238 60-60 238 238 238-238z"></path>
                    </svg>
                  </div>
                </div>
                <nav data-thq="thq-mobile-menu-nav-links" data-role="Nav" class="home-middle">
                  <div class="home-links">
                    <span class="navLink">work</span>
                    <span class="navLink">services</span>
                    <span class="navLink">contact</span>
                  </div>
                  <button class="home-work-with-us2 button">
                    <span class="home-text004">work with us</span>
                  </button>
                </nav>
              </div>
            </div>
          </header>
        </div>
        <div class="home-hero">
          <div class="home-header">
            <h1 class="home-text005">Concevoir un détecteur de mouvement à l'aide d'une carte Arduino, avec la possibilité de le connecter via Wi-Fi et de l'utiliser comme un outil de détection du courrier dans une boîte aux lettres.</h1>
            <!-- <img alt="image" src="public2/mouse.svg" class="home-image02" /> -->
          </div>
          <div >
            <img alt="image" src="public2/img/Image1.jpg" style="width: 1000px;" />
          </div>
        </div>
        <div class="home-who">
          <div class="home-header1">
            <div class="home-heading">
              <h2 class="home-text006">Description de l’objet expérimenté .</h2>
              <h1 class="home-text006">Dans mon ca c'est Arduino</h1>
              <span class="home-text007" style="text-align: justify";>
                Arduino est la marque d'une plateforme de prototypage open-source qui permet aux utilisateurs de créer des objets électroniques interactifs à partir de cartes électroniques matériellement libres sur lesquelles se trouve un microcontrôleur (d'architecture Atmel AVR comme l'Atmega328p, et d'architecture ARM comme le Cortex-M3 pour l'Arduino Due).Il est une plateforme open-source de prototypage électronique largement utilisée pour le développement de projets électroniques, de l'automatisation domestique aux projets robotiques en passant par les systèmes de contrôle.</br>L'Arduino se compose d'un microcontrôleur, d'un environnement de développement logiciel (IDE) et d'une communauté de passionnés qui partagent leurs projets et leurs connaissances.</br> En résumé, Arduino est une plateforme de prototypage électronique abordable, accessible et polyvalente qui permet aux amateurs et aux professionnels de créer une grande variété de projets électroniques. Il est largement utilisé dans
                les domaines de l'éducation, de l'industrie et de la communauté des makers pour la création de prototypes et de solutions électroniques.
              </span>
              <a href="https://fr.wikipedia.org/wiki/Arduino" style="color: blue;">https://fr.wikipedia.org/wiki/Arduino</a>
              <div class="home-preview">
                <div class="home-image04">
                  <img alt="image" src="public2/img/arduino_seul.jpg" style="width: 500px;" />
                </div>
                <!-- <div class="home-video">
                  <video src="" poster="public2/video.svg" class="home-video1"></video>
                </div> -->
              </div>
              <h2 class="home-text006">Besoins auxquels un arduino répond </h2>
              <span class="home-text007" style="text-align: justify";>L'Arduino trouve une utilité étendue dans divers domaines, notamment l'automatisation pour la gestion d'appareils électroniques, de moteurs et d'éclairages. Il joue un rôle majeur dans le secteur éducatif en enseignant la programmation et la robotique. Par ailleurs, il est également essentiel dans le domaine de la sécurité en tant que composant clé pour la création d'alarmes, de détecteurs de mouvements et de systèmes de surveillance vidéo.
              </span>
            </div>
                 
       
          <div class="home-heading">
            <h2 class="home-text006"> Fabriquants</h2>
            <span class="home-text007" style="text-align: justify";>Plusieurs contributeurs notables ont joué un rôle essentiel dans la création et le développement de la plateforme Arduino. Parmi eux, on peut citer<em>David Mellis, Tom Igoe, Gianluca Martino, David Cuartielles, Massimo Banzi et Nicholas Zambetti</em>. Ces personnes ont apporté leur expertise et leur créativité pour concevoir et populariser Arduino en tant qu'outil puissant pour l'électronique et la programmation. Grâce à leurs efforts collectifs, Arduino est devenu une plateforme accessible et influente dans le monde de la création électronique et de l'Internet des objets.</span><br>
          </div>
          <div class="home-heading">
            <h2 class="home-text006"> Historique</h2>
            <span class="home-text007" style="text-align: justify";>Le projet Arduino est issu d'une équipe d'enseignants et d'étudiants de l'école de Design d'Interaction d'Ivrea  (Italie). Ils rencontraient un problème majeur à cette période (avant 2003 - 2004), les outils nécessaires à la création de projets d'interactivité étaient complexes et onéreux (entre 80 et 100 euros). Ces coûts souvent trop élevés rendaient difficiles le développement par les étudiants de nombreux projets et ceci ralentissait la mise en œuvre concrète de leur apprentissage.<br>
              Leur préoccupation se concentra alors sur la réalisation d'un matériel moins cher et plus facile à utiliser. Ils souhaitaient créer un environnement proche de Processing, ce langage de programmation développé dès 2001 par <em>Casey Reas  et Ben Fry</em>, deux anciens étudiants de <em>John Maeda au M.I.T.</em>, lui-même initiateur du projet <em>DBN</em> .<br>
              Conçu par une équipe de professeurs et d’étudiants <em>(David Mellis, Tom Igoe, Gianluca Martino, David Cuartielles, Massimo Banzi ainsi que Nicholas Zambetti)</em>, l'environnement Arduino est particulièrement adapté à la production artistique ainsi qu'au développement de conceptions qui peuvent trouver leurs réalisations dans la production industrielle.<br>
              Le nom Arduino trouve son origine dans le nom du bar dans lequel l’équipe avait l'habitude de se retrouver. Arduino est aussi le nom d'un roi italien, personnage historique de la ville <em>« Arduin d’Ivrée »</em>, ou encore un prénom italien masculin qui signifie <em>« l'ami fort »</em>
              </span>
              <a href="https://fr.flossmanuals.net/arduino/historique-du-projet-arduino/#:~:text=Con%C3%A7u%20par%20une%20%C3%A9quipe%20de,peuvent%20trouver%20leurs%20r%C3%A9alisations%20dans" style="color: blue;">Historique et Fabriquants</a><br>
          </div>
          <div  class="home-heading">
            <h2 class="home-text006" > Objectif du projet</h2>
            <span class="home-text007" style="text-align: justify"; >
              L'objectif de ma boîte aux lettres connectée est de résoudre les problèmes courants liés à la gestion du courrier. Si vous avez déjà été confronté à une boîte aux lettres pleine ou à l'oubli de vérifier le courrier après une journée de travail bien rempli, ce projet est conçu pour simplifier votre vie. Un dispositif simple qui transformera la boîte aux lettres en une boîte aux lettres connectée, permettant ainsi de recevoir des notifications (si avec WI-Fi)lorsque du courrier est déposé, améliorant ainsi votre organisation au quotidien.<br>
              Mon projet vise à créer un dispositif permettant de recevoir des notifications lorsqu'une lettre est déposée dans ma boîte aux lettres. Cette fonctionnalité est mise en œuvre en détectant tout mouvement lorsqu'une lettre est insérée dans la boîte. Pour ce faire, j'utilise un Arduino associé à un capteur de mouvement PIR (Passive Infrared Motion Sensor), lequel est ensuite connecté à une carte Wi-Fi ESP8266. Lorsqu'une personne insère une lettre dans la boîte, le capteur de mouvement détecte ce mouvement et envoie un signal à la carte Wi-Fi. Cette dernière transforme alors ce signal en une notification qui est directement transmise au téléphone connecté via Blynk IoT. Ainsi, la personne reçoit une notification sur son téléphone, lui permettant de savoir qu'elle a reçu une lettre ou un colis dans sa boîte aux lettres.<br>
              Cependant, étant donné que je ne dispose pas actuellement de la carte Wi-Fi, mon projet se concentrera principalement sur le détecteur de mouvement. Néanmoins, la partie de la connexion Wi-Fi n'est pas compliquée et peut être mise en œuvre ultérieurement lorsque j'aurai le matériel requis.<br>
              Pour cela, je vais simplifier mon projet en utilisant une LED pour démontrer le bon fonctionnement de mon Arduino en combinaison avec le détecteur de mouvement.
              Pour réaliser le branchement du détecteur de mouvement, j'aurai besoin des éléments suivants :
            </span>
            <h2 class="home-text006"> Matériels à utiliser</h2>
            <span class="home-text007" style="text-align: justify";>
              •	1 Arduino<br>
              <img alt="image" src="public2/img/Arduino.jpg" style="width: 300px;" />
              •	1 module ESP8266 (si on veut faire connexion par Wi-Fi)<br>
              <img alt="image" src="public2/img/wi-fi.jpg" style="width: 300px;" />
              •	1 détecteur de mouvement PIR MENSION SENSOR<br>
              <img alt="image" src="public2/img/Sensor.jpg" style="width: 300px;" />
              •	3 jumpers<br>
              <img alt="image" src="public2/img/jumpers.jpg" style="width: 300px;" />
              •	1 LED <br>
              <img alt="image" src="public2/img/LED.jpg" style="width: 300px;" />
              •	Des câbles<br>
              <img alt="image" src="public2/img/cables_usb.jpg" style="width: 300px;" /><br>
              </span>
          </div>
          <div  class="home-heading">
            <h2 class="home-text006" > Montage du projet </h2>
            <span  class="home-text007" style="text-align: justify";>
              Le module que je vais créer comprendra un détecteur de mouvement PIR (Passive Infrared Sensor), une carte Arduino et une LED pour nous alerter en cas de détection de mouvement. Pour établir les connexions entre ces composants, j'utiliserai des câbles appropriés. De plus, je vais connecter la carte Arduino à mon ordinateur à l'aide d'un câble USB, où j'ai déjà installé et configuré le logiciel Arduino pour le développement et le téléchargement de code.<br>
            </span>
            <h1 class="home-text006" > Réaliser le branchement</h1>
            <span  class="home-text007" style="text-align: justify";>
              Tout d'abord, je mets mes jumpers sur le détecteur de mouvement PIR Motion Sensor  (VCC, OUT et GND). Puis je connecte ma carte Arduino en utilisant les trois broches disponibles sur le capteur. Voici comment je fais mon branchement :<br><br>
              <img alt="image" src="public2/img/3pins_sensor.jpg" style="width: 300px;" />
              <em>GND (masse) du capteur</em> : Connecter un fil de couleur vert ou noir depuis la broche de SENSOR à l'une des broches GND (Ground) de ma carte Arduino pour assurer une mise à la terre commune.<br><br>
              <em>OUT (sortie) du capteur</em>: J’utilise un fil de couleur jaune pour connecter cette broche au pin 3 sur la carte Arduino. Cette broche sera utilisée pour transmettre le signal de détection de mouvement.<br><br>
              <em>VCC (tension d'alimentation) du capteur</em> : J’utilise un fil de couleur rouge pour connecter cette broche à l'une des broches 5V de la carte Arduino pour alimenter le capteur. <br>
              Enfin, je vais connecter mon Arduino à mon ordinateur à l'aide du câble USB fourni. Cette connexion permettra de programmer mon Arduino et de communiquer avec lui via le logiciel Arduino IDE. Voici comment effectuer cette connexion :<br>
              Brancher une extrémité du câble USB dans le port USB de mon ordinateur.<br>
              Brancher l'autre extrémité du câble USB dans le port USB de mon Arduino. Le port USB de mon Arduino est situé près de la bordure de la carte, selon les images suivantes:
            
                <table style="border: 0px;">
                  <tr>
                    <td><img alt="image" src="public2/img/brancher_sensor.jpg" style="width: 300px; height: 400px;" /></td>
                    <td><img alt="image" src="public2/img/connecter_ardiono_sensor_led.jpg" style="width: 300px;" /></td>
                    <td><img alt="image" src="public2/img/usb.jpg" style="width: 300px;" /></td>
                  </tr>
                </table>
                Une fois la connexion établie, j’utilise le logiciel Arduino IDE pour programmer mon Arduino et configurer son comportement en réponse aux détections de mouvement de mon capteur PIR Motion Sensor sans oublier de téléverser un code sur mon Arduino pour qu'il puisse réagir en conséquence lorsque le capteur détecte un mouvement via la broche OUT.<br>
                <table style="border: 0px;">
                  <tr>
                    <td><img alt="image" src="public2/img/Schema.jpg" style="width: 300px;" /></td>
                    <td><img alt="image" src="public2/img/avec_LED.jpg" style="width: 300px;" /></td> 
                  </tr>
                  <tr>
                    <td>
                      <video controls style="width: 100%;">
                          <source src="public2/img/Video.mp4">                                    
                      </video> 
                    </td>
                    <td>
                      <video controls style="width: 100%;">
                          <source src="public2/img/video2.mp4">                                    
                      </video> 
                    </td>
                  </tr>             
                </table><br>              
              </span>
          </div>
          <div  class="home-heading">
            <h2 class="home-text006" > Schématisation matérielle complète (avec carte Wi-Fi) </h2>
            <img alt="image" src="public2/img/schema_mat.png" style="width: 700px;" />
          </div>
          <div class="home-heading">
            <h2 class="home-text006"> Schématisation logicielle</h2>
            <span class="home-text007" style="text-align: justify";>
              <img alt="image" src="public2/img/schéma_logic.png" style="width: 700px;" />
              </span>
              
          </div>
          <div class="home-heading">
            <h2 class="home-text006"> Avantages et inconvénients</h2>
            <h3 class="home-text006"> Avantages</h3>
            <span class="home-text007" style="text-align: justify";>
              •	L’Arduino n’est pas dispendieux et il est abordable.<br>
              •	Les cartes Arduino sont équipées d’un grand nombre de broche numériques et analogique ce qui facilite les branchements et la réalisation des projets.<br>
              •	Très facile à utiliser et permet même aux nouveaux développeurs de l’utiliser et d’étendre le langage grâce à des bibliothèque C++.<br>             
              </span>
              <h3 class="home-text006"> inconvénients</h3>
              <span class="home-text007" style="text-align: justify";>
                •	L’Arduino est monotâche, il ne peut faire qu’une seule tache à la fois.<br>
                •	Une mémoire embarquée limitée qui rend les programmes complexes difficile à réaliser.<br>
                •	Il n’a pas un système d’exploitation pour générer les taches et donc faut les faire manuellement.<br>
                •	Pas adaptable aux applications intensives.
                </span>
                <a href="https://www.jca-informatique.com/arduino-nano-avantages-et-inconvenients/" style="color: blue;">Avantages et Inconvénients</a><br>               
          </div>
          <div class="home-heading">
            <h2 class="home-text006">Comparaison avec d'autres solutions</h2>
            <span class="home-text007" style="text-align: justify";>
              On pourrait utiliser un réseau de connexion LoRa pour une connectivité plus étendue, car avec une carte Wi-Fi, si la boîte aux lettres est loins de chez nous, 
              nous risquons de perdre la connexion et de ne pas recevoir la notification.<br>
              De plus, en utilisant un détecteur de mouvement ultrasonique qui est plus sensible au moindre mouvement, nous pourrions améliorer la détection.<br>
              Je pourrais également ajouter des notifications par SMS en cas d'indisponibilité de la connexion Wi-Fi.  
              </span>
                          
          </div>
          <div class="home-heading">
            <h2 class="home-text006">Justification du potentiel de la technologie</h2>
            <span class="home-text007" style="text-align: justify";>
              Cette technologie est pertinente dans les cas où la boîte aux lettres est située à l'extérieur, obligeant ainsi la personne à sortir chaque fois pour vérifier si elle a du courrier, plutôt que d'être située sur la porte de la maison.<br>
              Si elle est située à une distance considérable, elle ne sera pas pertinente car la zone ne sera pas couverte par le réseau Wi-Fi.<br>
              On peut résoudre ce problème en utilisant LoRa (Long Range), une technique de communication radio qui permet une portée de communication plus étendue. Cependant, il est important de noter que cela nécessitera l'ajout d'un deuxième Arduino à la réception pour fonctionner correctement
            </span>
            <div style="margin-left: 3rem;">
              <h4 class="home-text003">Longévité</h4><br>
              <span  class="home-text002">
                Un Arduino Uno, l'un des modèles les plus courants, consomme généralement entre 30 et 50 milliwatts (mW) lorsqu'il est alimenté en continu avec une tension de 5 volts (V). 
                Cela équivaut à une consommation d'énergie de 0,03 à 0,05 watts.<br>
                La consommation d'énergie peut varier en fonction de la source d'alimentation. Par exemple, si l'Arduino est alimenté par USB, il peut consommer légèrement plus d'énergie que s'il est alimenté par une source d'alimentation externe.
                    <br>
              </span>
            </div> 
            <div style="margin-left: 3rem;">
              <h4 class="home-text003">Stabilité</h4><br>
              <span  class="home-text002"  style="text-align: justify";>
                Les variations de température extrêmes ont la capacité d'influencer le bon fonctionnement de l'Arduino. En cas de températures élevées, il peut cesser de fonctionner et ne pas émettre de notifications. Il est nécessaire de le refroidir.<br>
                 De plus, il doit être continuellement alimenté, que ce soit par une prise secteur ou une batterie, sinon il ne fonctionnera pas.
              </span>
            </div> 
            <div style="margin-left: 3rem;">
              <h4 class="home-text003">Efficacité</h4><br>
              <span  class="home-text002"  style="text-align: justify";>
                Le détecteur de mouvement envoie des signaux même lorsque le facteur dépose du courrier dans la boîte aux lettres du voisin. Par conséquent, le nombre de notifications que nous recevons
                n'est pas toujours fiable, et il est possible de sortir de chez nous pour récupérer notre courrier alors que notre boîte est vide.<br> Pour remédier à cette situation, 
                il est nécessaire d'installer un détecteur plus fiable afin d'éviter de telles erreurs.
              </span>
            </div>    
            <div style="margin-left: 3rem;">
              <h4 class="home-text003">Maintenabilité</h4><br>
              <span  class="home-text002"  style="text-align: justify";>              
              L'accessibilité à une documentation précise, comprenant des schémas détaillés et des manuels complets, simplifie grandement la réalisation de projets. La possibilité d'utiliser 
              des modules indépendants facilite l'assemblage des composants et leur interconnexion pour concrétiser un projet.<br>
              De plus, la réparabilité des composants à un coût raisonnable évite d'investir dans des remplacements plus coûteux.<br>
              En intégrant des mécanismes de mise à jour des systèmes, il devient possible d'ajouter de nouvelles fonctionnalités ou de corriger des bogues sans avoir à remplacer les composants 
              existants.
              </span>
            </div>                   
          </div>
          <div  class="home-heading">
            <h2 class="home-text006">Conclusion</h2>
            <span  class="home-text007" style="text-align: justify";>
              L'Arduino est un outil qui facilite la réalisation de projets pratiques à un coût abordable. Cependant, il est crucial de prendre des décisions éclairées en ce qui concerne
               le choix des composants. Par exemple, il peut être préférable d'opter pour la technologie LoRa plutôt que le Wi-Fi, ou d'utiliser des capteurs de mouvement plus précis, 
               voire même un capteur piézoélectrique pour garantir la fiabilité des signaux et éviter la détection de signaux voisins.<br>
                A mon avis que même si que l’Arduino est tellement utilisé, mais il reste un dispositif de petite taille qui ne peut pas toujours accomplir les tâches d'un ordinateur complet.
            </span>
          </div>
        </div>
      </div>





        <div class="home-information">
          <div class="home-purpose">
           
          </div>
          <div class="home-industries">
           
            <div class="home-list">
             
              </div>
             
             
              </div>
             
             
              </div>
             
            </div>
            <div>
              <dangerous-html
                html="<script>
      /*
  Accordion - Code Embed
  */

  /* listenForUrlChangesAccordion() makes sure that if you changes pages inside your app,
  the Accordions will still work*/

  const listenForUrlChangesAccordion = () => {
        let url = location.href;
        document.body.addEventListener(
          'click',
          () => {
            requestAnimationFrame(() => {
              if (url !== location.href) {
                runAccordionCodeEmbed();
                url = location.href;
              }
            });
          },
          true
        );
      };


  const runAccordionCodeEmbed = () => {
      const accordionContainers = document.querySelectorAll('[data-role='accordion-container']'); // All accordion containers
      const allTriggers = document.querySelectorAll('[data-role='accordion-trigger']'); // All accordion triggers
      const allContents = document.querySelectorAll('[data-role='accordion-content']'); // All accordion content

      accordionContainers.forEach((container) => {
        const accordionTrigger = container.querySelector('[data-role='accordion-trigger']'); // Scopped accordion trigger
        const accordionContent = container.querySelector('[data-role='accordion-content']'); // Scopped accordion content

        accordionTrigger.addEventListener('click', ()=>{
          /*
          Uncomment the code bellow to make all the other sections
          collapse when clicking on one of them.

          allTriggers.forEach(trigger => trigger.classList.remove('accordion-trigger-active'))
          allContents.forEach(content => content.classList.remove('accordion-content-active'))
          */
          if(accordionContent.classList.contains('accordion-content-active')){
            accordionContent.classList.remove('accordion-content-active');
            accordionTrigger.classList.remove('accordion-trigger-active')
          } else {
            accordionContent.classList.add('accordion-content-active');
            accordionTrigger.classList.add('accordion-trigger-active')
          }
        })

      });
  }

  runAccordionCodeEmbed()
  listenForUrlChangesAccordion()

  /*
  Here's what the above is doing:
      1. Selects all accordion containers, contents, and icons
      2. Hides all accordion contents
      3. Adds an event listener to each accordion container
      4. When an accordion container is clicked, it:
          - Hides all accordion contents
          - Resets all icon transforms to 0deg (default)
          - Checks if this container has class 'accordion-open'
              - If it does, it removes class 'accordion-open'
              - If it doesn't, it:
                  - Removes class 'accordion-open' from all containers
                  - Adds class 'accordion-open' to this container
                  - Shows accordion content
                  - Rotates accordion icon 180deg
  */
</script>
"
              ></dangerous-html>
            </div>
          </div>
        </div>
        <div class="home-section">
          <div class="home-case-studies">
            <div class="home-caption2">
            
              <div class="home-date-range">
              
              </div>
            </div>
            <div class="home-gallery">
              <div class="home-row">
                <div class="home-case">
                  <img alt="image" src="public2/img/imagecel_con.png" class="home-image06" />
                  <div class="home-heading1">                   
                  </div>
                </div>
                <div class="home-case1">
                  <img alt="image" src="public2/img/ima_cell.jpg" class="home-image07" />
                  <div class="home-heading2">
                  </div>
                </div>
              </div>
             
              <div class="home-row2">
                <div class="home-case4">
                  <img alt="image" src="public2/study%20%235-1300w.png" class="home-image10" />
                  <div class="home-heading5">
                   
                  </div>
                </div>
                <div class="home-case5">
                  <img alt="image" src="public2/study%20%236-1300w.png" class="home-image11" />
                  <div class="home-heading6">
                    
                  </div>
                </div>
              </div>
            </div>
          </div>
         
        </div>
        <div class="home-book">
          <div class="home-content1">
            <div class="home-left">
              <h2 class="home-text065">Book a 15 minutes consultation to check how can we help you</h2>
             
            </div>
            <img alt="image" src="public2/message.svg" class="home-image12" />
          </div>
        </div>
       
        <footer class="home-footer">
          <div class="home-header4">
            <span class="home-branding2">Ouiza Meziani</span>
           
          </div>
         
         
          <div class="home-socials1">
            <div class="home-row4">
              <a href="https://example.com" target="_blank" rel="noreferrer noopener">
                <img alt="image" src="public2/facebook%20-%20negative.svg" class="social" />
              </a>
              <a href="https://example.com" target="_blank" rel="noreferrer noopener">
                <img alt="image" src="public2/twitter%20-%20negative.svg" class="social" />
              </a>
              <a href="https://example.com" target="_blank" rel="noreferrer noopener">
                <img alt="image" src="public2/dribbble%20-%20negative.svg" class="social" />
              </a>
              <a href="https://example.com" target="_blank" rel="noreferrer noopener">
                <img alt="image" src="public2/instagram%20-%20negative.svg" class="social" />
              </a>
            </div>
            <div class="home-row5">
              <a href="https://example.com" target="_blank" rel="noreferrer noopener">
                <img alt="image" src="public2/linkedin%20-%20negative.svg" class="social" />
              </a>
              <a href="https://example.com" target="_blank" rel="noreferrer noopener">
                <img alt="image" src="public2/youtube%20-%20negative.svg" class="social" />
              </a>
              <a href="https://example.com" target="_blank" rel="noreferrer noopener">
                <img alt="image" src="public2/telegram%20-%20negative.svg" class="social" />
              </a>
              <a href="https://example.com" target="_blank" rel="noreferrer noopener">
                <img alt="image" src="public2/medium%20-%20negative.svg" class="social" />
              </a>
            </div>
          </div>
        </footer>
      </div>
    </div>
    <script data-section-id="navbar" src="https://unpkg.com/@teleporthq/teleport-custom-scripts"></script>
  </body>
</html>
